Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class ConnectorDesc

    java.lang.Object
      SEdit.ElementDesc
          SEdit.NodeDesc
              SEdit.ConnectorDesc

    public class ConnectorDesc

extends NodeDesc

Field Summary
`static int` | `ERR`
`static int` | `IN`
`static int` | `OUT`

Fields inherited from class SEdit.NodeDesc
`iconName`

Fields inherited from class SEdit.ElementDesc
`ACTIONPROPERTIES, actions, category, debug, elementClass, graphicClass, GRAPHICPROPERTIES, icon, PROPERTIES`

Constructor Summary
`ConnectorDesc(java.lang.String name, java.lang.String desc, java.lang.String classname, java.lang.String type)`

Method Summary
`int` | `getMode()`
`void` | `setMode(int m)`
`java.lang.String` | `toString()`

Methods inherited from class SEdit.NodeDesc
`getIconName, isStandardDefaultValue, setIconName`

Methods inherited from class SEdit.ElementDesc
`addActionDesc, addActionDesc, getAction, getActions, getCategory, getDefaultLabel, getDescription, getElementClass, getFormalism, getGraphicClass, getGraphicProperties, getIcon, getName, getProperties, hasActions, hasIcon, isDefaultValue, makeElement, setActions, setCategory, setDefaultLabel, setElementClass, setFormalism, setGraphicClass, setGraphicProperties, setIcon, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERR

    public static final int ERR

See Also:
  Constant Field Values

### IN

    public static final int IN

See Also:
  Constant Field Values

### OUT

    public static final int OUT

See Also:
  Constant Field Values

Constructor Detail

### ConnectorDesc

    public ConnectorDesc(java.lang.String name,
                         java.lang.String desc,
                         java.lang.String classname,
                         java.lang.String type)

Method Detail

### setMode

    public void setMode(int m)

### getMode

    public int getMode()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `NodeDesc`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.